GangliaContext31 (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.ganglia
Class GangliaContext31

    java.lang.Object
      org.apache.hadoop.metrics.spi.AbstractMetricsContext
          org.apache.hadoop.metrics.ganglia.GangliaContext
              org.apache.hadoop.metrics.ganglia.GangliaContext31

All Implemented Interfaces:
  MetricsContext

    public class GangliaContext31

extends GangliaContext

Context for sending metrics to Ganglia version 3.1.x. 3.1.1 has a slightly different wire portal compared to 3.0.x.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`AbstractMetricsContext.MetricMap, AbstractMetricsContext.TagMap`

Field Summary

Fields inherited from class org.apache.hadoop.metrics.ganglia.GangliaContext
`buffer, datagramSocket, metricsServers, offset`

Fields inherited from interface org.apache.hadoop.metrics.MetricsContext
`DEFAULT_PERIOD`

Constructor Summary
`GangliaContext31()`

Method Summary
`protected void` | `emitMetric(String name, String type, String value)`
`void` | `init(String contextName, ContextFactory factory)` Initializes the context.

Methods inherited from class org.apache.hadoop.metrics.ganglia.GangliaContext
`emitRecord, getDmax, getSlope, getTmax, getUnits, xdr_int, xdr_string`

Methods inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`close, createRecord, flush, getAllRecords, getAttribute, getAttributeTable, getContextFactory, getContextName, getPeriod, isMonitoring, newRecord, parseAndSetPeriod, registerUpdater, remove, setPeriod, startMonitoring, stopMonitoring, unregisterUpdater, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GangliaContext31

    public GangliaContext31()

Method Detail

### init

    public void init(String contextName,
                     ContextFactory factory)

  Description copied from class: `AbstractMetricsContext`
  Initializes the context.

  Specified by:
    `init` in interface `MetricsContext`
  Overrides:
    `init` in class `GangliaContext`
  Parameters:
    `contextName` - The given name for this context
    `factory` - The creator of this context

### emitMetric

    protected void emitMetric(String name,
                              String type,
                              String value)
                       throws IOException

  Overrides:
    `emitMetric` in class `GangliaContext`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation